<?php

header("Content-type: application/json; charset=utf-8"); 

require('../shared/conexion.php');

$jsonSolicitud = json_decode(file_get_contents('php://input'), true);

$jsonRespuesta = array();

$respuesta = '';

$error = false;

if (count($jsonSolicitud) > 0) {

    foreach ($jsonSolicitud['params'] as $v => $valor) {
        $correo = $valor;
    }

    if (!$conn) {
        $respuesta = 'Error al conectar con el servidor.';
        $error = true;
    }else{

        $sql = 'INSERT INTO `boletin` ( `correo`) VALUES ( "' . $correo .  '" )';

        if ($conn->query($sql) === TRUE) {
            $respuesta = 'Exito';
        } else {
            $respuesta = 'Ocurrió un error al intentar realizar el registro, por favor vuelva a intentar o envié sus datos al correo: mesadeservicio@ittec.mx';
            $error = true;
        }
    }
}

$jsonRespuesta['error'] = $error;
$jsonRespuesta['respuesta'] = $respuesta;

echo json_encode($jsonRespuesta);

?>